// -------------------------------------------------------------------------------------------------
// xsEditor.hpp
// -------------------------------------------------------------------------------------------------

// Se inclulye la librería
#include "xsEasyCpp.hpp"

#ifndef __xsEditor_hpp__
#define __xsEditor_hpp__

Clase xsEditor : Publica xsObjeto
{
	Privada:

		xsBufferTexto bufferEditor;
	        		
	Publica:

		// Constructores
	    xsEditor();
	    xsEditor(xsCadena texto);

		// Métodos
		Vacio crear();
		Vacio crear(xsCadena texto);		          

		Vacio limpiar();

		Vacio colocarTexto(xsCadena texto);
        xsCadena obtenerTexto();    
      
		Entero lineas();
        Entero caracteres();
		
		Logico  abrirArchivo(xsCadena archivo);
		Logico  grabarArchivo(xsCadena archivo);
};

// Fin de la Definición del Archivo
#endif
